/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)adshot.c	1.5	9/19/95";
#include <farl.h>
#include <agl.h>

void
AGLShot()
{
     if (__AGLCamera.camChanged < 0) {
	  AGLSetUnitMatrix3((fix1015*)__AGLCamera.camMatrix1015);
	  if (__AGLCamera.camChanged == -2) {
	       AGLSetUnitMatrix4((fix187*)__AGLCamera.camMatrix187);
	  }
     }
     __AGLCamera.camChanged = 0;

     __AGLLight[AGL_LIGHT0].lightChanged = 0;
     __AGLLight[AGL_LIGHT1].lightChanged = 0;
     FarlSwapWindow();  
}
